Cyberduck Mountain Duck CLI

#9367 new enhancement

Show checksums and remote identity for completed file transfers

Reported by: ralfhauser Owned by:
Priority: normal Milestone:
Component: core Version: 4.8.3
Severity: normal Keywords:
Cc: jph@… Architecture:
Platform:

Description (last modified by dkocher)

Phase A

  1. If a user clicks on the "i" button as per the attached, mock-up screenshot, a pop-up will open and show as ASCII Text
    1. origin URI, protocol, SHA256, SHA1, ... of the downloaded (or uploaded) file
    2. CN, Issuer-CN, SHA256, SHA1 of remote public key (if the transfer was encrypted)

Phase B

  1. for 1b) not only the meta info is shown, but the certificate (assuming x509 for once) and its chain down to the root can be opened

Phase C

  1. the pop-up and public key (certs) are put into a PDF that is signed with a dummy certificate and rfc3161 time-stamped (e.g. with http://tsa.pki.admin.ch/tsa - configurable)

Phase D

  1. the same as 3) but the signature can also come out of a SuisseID or alike

Phase E

  1. the same as 4) but the pdf complies with the PDF/A standard ==> the certificate can no longer be put as a file-attachment in .cer or .pem .crt or similar format to the pdf, but the base64 encoded certs need to be printed as base64 PEM into the trailing pages of the PDF

Attachments (1)

20160315_RFE_MetaInfo.png (23.5 KB) - added by ralfhauser on Mar 15, 2016 at 3:51:00 PM.
Meta-Info GUI idea

Download all attachments as: .zip

Change History (9)

Changed on Mar 15, 2016 at 3:51:00 PM by ralfhauser

Meta-Info GUI idea

comment:1 Changed on Mar 15, 2016 at 4:07:59 PM by dkocher

  • Description modified (diff)
  • Summary changed from Show meta information on transfers to Show checksums and remote identity for completed file transfers

comment:2 Changed on Jun 6, 2016 at 7:51:12 AM by dkocher

#9584 closed as duplicate.

comment:3 Changed on Jun 20, 2016 at 11:59:22 AM by ralfhauser

are you sure that #9584 is a duplicate?

The goal is that evidence of an upload is visible (best even rfc3161 timestamped) that can be understood / used by a non-technical person like a "lawyer" who is increasingly trained by the authorities to work with pdf/a and digital signatures/timestamps.

comment:4 Changed on Aug 17, 2016 at 11:21:46 AM by ralfhauser

see also #9656

comment:5 Changed on Aug 19, 2016 at 8:42:03 AM by dkocher

#9656 closed as duplicate.

comment:6 Changed on Apr 5, 2017 at 6:08:34 PM by jph@…

  • Cc jph@… added

comment:7 follow-up: Changed on Feb 28, 2018 at 3:24:18 PM by dkocher

#10255 closed as duplicate.

comment:8 in reply to: ↑ 7 Changed on Feb 28, 2018 at 3:33:17 PM by filmdreams

Replying to dkocher:

#10255 closed as duplicate.

Okay thanks - my proposal was similar to this. As it doesn't stipulate currently in the uploads panel that all the files were checksum'd on prior to upload and transfer completion can I therefore assume that CyberDuck has done so and therefore wouldn't display "completed" unless this test has also been completed successfully and that the files on B2 are definitely identical copies of the local files? I can live without the feature if this is the case.

Note: See TracTickets for help on using tickets.
swiss made software